using UnityEngine;
using System.Collections;

namespace mgaia.Utils.LayerSystem
{
	/// <summary>
	/// Monobehaviour que deve ser implementado por ITouchables que desejam ter um efeito visual quando tocados.
	/// </summary>
    public abstract class ITouchableEffects : MonoBehaviour
    {
        public abstract void OnTouchBegan();
        public abstract void OnTouchEnded();
    }
}